Bug 183976 - battery only found after plugging in
battery only found after plugging in
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 07:33 EST by Stefan Geuns
Modified: 2008-01-19 23:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:40:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Geuns 2006-03-04 07:33:46 EST
Description of problem:  
/proc/acpi/battery/BAT1/state says present: no after I boot into fc5t3. But  
when I plug in the battery state changes and the battery is found.  
  
Version-Release number of selected component (if applicable):  
acpid 1.0.4  
kernel 2.6.15-1.1955_FC5  
But this was happening on core 4 too (kernel 2.6.11)  
  
How reproducible:  
  
  
Steps to Reproduce:  
1. (re)boot fedora  
2.  
3.  
    
Actual results:  
No battery found while it is in there (and working)  
  
Expected results:  
battery found and state is given  
  
Additional info:  
acpi_listen reports correct values after plugging in/out  
 
Laptop details: 
Nec Versa p550 
pentium M 1.86 GHz 
battery model number (as reported by /proc/acpi/battery/BAT1/info after 
plugging in): Nec LION PC-VP-WP66/OP-570-76620
Comment 1 Phil Knirsch 2006-03-06 10:31:14 EST
Hm, don't have a 2nd battery here myself currently, but will try to find one
aqnd reproduce it.

Is this a new problem or did you experience this with previous test versions, too?

Read ya, Phil
Comment 2 Stefan Geuns 2006-03-06 10:35:05 EST
I don't have a 2nd battery either, fedora just named my primary battery bat1. 
I didn't try earlier test versions, but it happened on core 4 too. 
Comment 3 Phil Knirsch 2006-03-06 11:52:52 EST
Erh, now thats really wierd. I'd guess this is most likely a kernel problem
though, so reassigning to kernel.

Read ya, Phil
Comment 4 Dave Jones 2006-10-16 14:38:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 5 Jon Stanley 2008-01-19 23:40:14 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.